Subject: Re: bug#55598: [PATCH] gnu: sssd: Update to 2.7.0.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 24 May 2022 15:35:42 +0200

Hi,

Timotej Lazar <[email-masked]> skribis:

> Add support for renewing AD membership with adcli. Wrap binaries with
> LDB_MODULES_PATH. Fix the sss_analyze utility to run without systemd
> libraries. Add native inputs to generate man pages and run additional tests
> during build.
>
> * gnu/packages/sssd.scm (sssd): Update to 2.7.0.
> [patches]: Drop patches applied upstream. Add a patch for sss_analyze.
> [inputs]: Add adcli, bash-minimal, jose, keyutils, libnl, pcre2, python.
> Drop augeas, pcre.
> [native-inputs]: Add cmocka, doxygen, gettext-minimal, libfaketime,
> libtool, openssh, po4a, softhsm.
> [arguments]: Rewrite in gexp style. Fix configure checks. Remove static
> library from install. Wrap binaries to set correct paths.
> * gnu/packages/patches/sssd-collision-with-external-nss-symbol.patch,
> gnu/packages/patches/sssd-fix-samba-4.15.3.patch,
> gnu/packages/patches/sssd-fix-samba.patch: Delete files.
> * gnu/packages/patches/sssd-optional-systemd.patch: New file.
> * gnu/local.mk (dist_patch_DATA): Update accordingly.

Applied!

> this updates sssd to the latest version. I adapted the package to the
> new style, added inputs for additional features and tests, and wrapped
> the binaries with the required environment variables.
>
> The package builds at least for x86-64, i686 and aarch64. I have been
> using the updated package (actually the 2.6.0 version for the most part)
> for several months to enable AD logins from multiple domains.
>
> Upstream seems to maintain both the 2.x and 1.16.x series; if anyone
> needs the older version, I can submit a revision to keep both packages.
> Man pages are still not formatted correctly, which seems to be an issue
> with docbook reported at https://issues.guix.gnu.org/52909.
>
> Finally, I know that mixing updates with other changes is bad form, but
> untangling them now would be less than trivial and more than likely to
> introduce bugs in the intermediate commits. :)

This all sounds reasonable to me.

Thanks for updating it!

Ludo’.